Bug 141841 - Setting of umask is not correct
Summary: Setting of umask is not correct
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: setup   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-03 23:20 UTC by Casper Pedersen
Modified: 2014-03-17 02:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 06:50:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Casper Pedersen 2004-12-03 23:20:19 UTC
Description of problem:

The setting of umask is based on the following:
if [ "`id -gn`" = "`id -un`" -a `id -u` -gt 99 ]; then
...

This can cause a problem if user is not a member of a group which is
unique to the user, ie. user-A is a member of a group called user-A.

In most installation a user is a member on 'users' or other global groups.

Version-Release number of selected component (if applicable):
FC3, EL3, etc.

This might go against the filosofy of Redhat (as Redhat always create
a group based on the users uniqueID). But if ldap is used (openLDAP,
eDirectory, etc.) it thends to be one group only (users, staff, etc).

Therefor change the line to something like:
if [ `id -u` -gt 99 ]; then

Then it would not apply to system users, and only normal users.

Comment 1 Tim Waugh 2004-12-06 11:57:15 UTC
To be clear, I think you are referring to /etc/bashrc.  This file is owned by
the "setup" package.

Comment 2 Casper Pedersen 2004-12-06 14:26:23 UTC
It is the /etc/bashrc I'm referring to.

Comment 3 Bill Nottingham 2005-01-28 06:50:14 UTC
I think the behavior is correct.

if the user is in a multiple-user group, by default, you *don't* want
group write on new files; ergo, the setting of 022.



Note You need to log in before you can comment on or make changes to this bug.